> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

> Changelog for the Lenders API

<Info>Current Sandbox API version: 1.4.0</Info>
<Tip>Current Production API version: 1.4.0</Tip>

<Update label="2026-04-23" description="v1.4.0">
  * Added optional <code>shortHostedDisplayUrl</code> to loan application and shop responses when the marketplace provides it. The field is returned by <Link href="/api-reference/endpoint/submit_loan_application">Create Loan Application</Link>, <Link href="/api-reference/endpoint/get_loan_application">Get Loan Application</Link>, <Link href="/api-reference/endpoint/shop_loan_application">Shop Loan Application</Link>, <Link href="/api-reference/endpoint/get_shopped_loan_application">Get Shopped Loan Application</Link>, and <Link href="/api-reference/endpoint/get_quote_display">Get Quote Display</Link>, as a short URI alongside <code>hostedDisplayUrl</code> and <code>contactPageUrl</code>.
</Update>

<Update label="2025-03-XX" description="v1.3.3">
  * Added optional <code>contactPageUrl</code> to loan application and shop responses. This field is returned by <Link href="/api-reference/endpoint/submit_loan_application">Create Loan Application</Link>, <Link href="/api-reference/endpoint/get_loan_application">Get Loan Application</Link>, <Link href="/api-reference/endpoint/shop_loan_application">Shop Loan Application</Link>, <Link href="/api-reference/endpoint/get_shopped_loan_application">Get Shopped Loan Application</Link>, and <Link href="/api-reference/endpoint/get_quote_display">Get Quote Display</Link> when available, and provides a URL for the contact page for the loan application.
</Update>

<Update label="2025-01-XX" description="v1.3.2">
  * Added new consent endpoints for granular consent recording:

      <ul>
        <li>
          <Link href="/api-reference/endpoint/post_consent_general">`POST /v1/loans/consent/general`</Link> endpoint to record general consent for a loan application.
        </li>

        <li>
          <Link href="/api-reference/endpoint/post_consent_tcpa">`POST /v1/loans/consent/tcpa`</Link> endpoint to record TCPA consent for a loan application.
        </li>
      </ul>
</Update>

<Update label="2025-10-22" description="v1.3.1">
  * Added <Link href="/api-reference/endpoint/get_quote_display">Get Quote Display</Link> endpoint to retrieve display information for a quote.
  * <Link href="/api-reference/endpoint/get_quote_display">`GET /v1/loans/{id}/display`</Link> endpoint provides quote display information.
</Update>

<Update label="2025-09-05" description="v1.3.0">
  * Added endpoints to maintain load officer
    * <Link href="/api-reference/endpoint/update_loan_officer">Update Loan Officer</Link>.
    * <Link href="/api-reference/endpoint/remove_loan_officer">Remove Loan Officer</Link>.
  * Added endpoints to maintain load contacts
    * <Link href="/api-reference/endpoint/update_loan_contacts">Update Loan Contacts</Link>.
    * <Link href="/api-reference/endpoint/remove_loan_contacts">Remove Loan Contacts</Link>.
</Update>

<Info>Current Sandbox API version: 1.2.4</Info>
<Tip>Current Production API version: 1.2.4</Tip>

<Update label="2025-07-28" description="v1.2.4">
  * Added <Link href="/api-reference/endpoint/close_loan_application">Close Loan Application</Link> to the API.

  <ul>
    <li>
      <Link href="/api-reference/endpoint/close_loan_application">`PATCH /v1/loans/{id}/close`</Link> endpoint is used to close a loan application when the borrower has obtained insurance from another source.
    </li>
  </ul>
</Update>

<Update label="2025-07-28" description="v1.2.3">
  * Enforced TCPA consent requirement for Schedule Call and Call Me Now endpoints:
      <ul>
        <li>
          <Link href="/api-reference/endpoint/schedule_call">`POST /v1/loans/schedule-call`</Link> and <Link href="/api-reference/endpoint/call_me_now">`POST /v1/loans/call-me-now`</Link> now require that TCPA consent has been recorded for the loan application before a call can be scheduled or requested.
        </li>
      </ul>
</Update>

<Update label="2025-07-25" description="v1.2.2">
  * Added `externalId` to the <Link href="/api-reference/webhooks">webhooks</Link>.
</Update>

<Update label="2025-06-18" description="v1.2.1">
  * Documented special sandbox/staging behaviors for loan applications:

      <ul>
        <li>
          If the <code>firstName</code> of the primary borrower is set to <strong>`Bind_policy`</strong> and the loan is patched in the staging environment, a policy will automatically be created and associated to the contact.
        </li>

        <li>
          If the <code>lastName</code> of the primary borrower is set to <strong>`Wind`</strong>, <strong>`Fire`</strong>, <strong>`Flood`</strong>, or <strong>`Earthquake`</strong>, a supplemental policy will also be created in the same line of business and associated to the contact.
        </li>
      </ul>
</Update>

<Update label="2025-06-12" description="v1.2.0">
  * Added <Link href="/api-reference/request_flows#retrieving-an-existing-policy">policy retrieve flow</Link> to the API.
  * Added <Link href="/api-reference/webhooks#hmac-verification">HMAC verification to webhooks</Link> to the API.
  * Added <Link href="/api-reference/webhooks#policy-retrieved">policy retrieved webhook</Link> to the API.
</Update>

<Update label="2025-05-01" description="v1.1.0">
  Added [webhooks](/api-reference/webhooks) to the API.
</Update>

<Update label="2025-03-13" description="v1.0.2">
  Added additional loan purpose type to the loan purpose type enum.

  <ul>
    <li>
      `LAND_LOT`
    </li>
  </ul>
</Update>

<Update label="2025-03-06" description="v1.0.1">
  Added additional property types to the property type enum.

  <ul>
    <li>
      `BARE_LAND`,
      `AGRICULTURAL_LAND`,
      `RECREATIONAL_LAND`,
      `IMPROVED_LAND`,
      `OTHER_LAND`,
    </li>
  </ul>
</Update>

<Update label="2025-02-01" description="v1.0.0">
  Initial major release of the Lenders API.

  <ul>
    <li>
      Added Auth endpoint to get access token:
      <Link href="/api-reference/endpoint/get_auth_token">`POST /v1/auth/token`</Link>
    </li>

    <li>
      Added Loan Application endpoint to submit a loan application:
      <Link href="/api-reference/endpoint/submit_loan_application">`POST /v1/loans/application`</Link>
    </li>

    <li>
      Added Consent endpoint to record borrower consent to shop insurance for loan application:
      <Link href="/api-reference/endpoint/post_consent">`POST /v1/loans/consent`</Link>
    </li>

    <li>
      Added Shop Loan Application endpoint to shop (trigger the quoting process for) a loan application:
      <Link href="/api-reference/endpoint/shop_loan_application">`POST /v1/loans/shop`</Link>
    </li>

    <li>
      Added Get Shopped Loan Application endpoint to get the results (insurance quote options) for a shopped loan application:
      <Link href="/api-reference/endpoint/get_shopped_loan_application">`GET /v1/loans/shop/{id}`</Link>
    </li>

    <li>
      Added Schedule call endpoint for a borrower to schedule a call with an insurance advisor:
      <Link href="/api-reference/endpoint/schedule_call">`POST /v1/loans/schedule-call`</Link>
    </li>

    <li>
      Added Call me now endpoint to request a call from an insurance advisor immediately:
      <Link href="/api-reference/endpoint/call_me_now">`POST /v1/loans/call-me-now`</Link>
    </li>
  </ul>
</Update>
